# Change a signature

`PATCH /workspace/inbox/signatures/{id}` · Rivier · inbox

Change a signature.

- Scope: inbox:write
- Graphql: Mutation.inboxSignatureUpdate
- Sdk: inbox.signature.update
- Cli: inbox signature update

## Parameters

- `id` (path, required), string

## Request body

`application/json`

```json
{
  "type": "object",
  "properties": {
    "name": {
      "type": "string",
      "minLength": 1,
      "maxLength": 80
    },
    "body": {
      "type": "string",
      "maxLength": 4000
    },
    "bodyHtml": {
      "anyOf": [
        {
          "type": "string",
          "maxLength": 20000
        },
        {
          "type": "null"
        }
      ]
    },
    "isDefault": {
      "type": "boolean"
    }
  },
  "additionalProperties": false
}
```

## Responses

- `200`: Success
- `400`: The request was malformed
- `401`: No valid credential
- `403`: The credential lacks the scope, origin or address
- `429`: Over the key's rate limit; see Retry-After

## Example

```sh
curl -X PATCH 'https://api.rivier.ai/workspace/inbox/signatures/{id}' \
  -H 'Authorization: Bearer $KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "name": "string",
  "body": "string",
  "bodyHtml": "string",
  "isDefault": false
}'
```
